# QAbstractPageSetupDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QAbstractPageSetupDialog(QPrinter printer, QWidget parent)

### Constructor Properties

- prototype: The QAbstractPageSetupDialog prototype object

### Prototype Object Properties

The QAbstractPageSetupDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- QPrinter printer()

### Instance Properties

QAbstractPageSetupDialog objects have no special properties beyond those inherited from the QAbstractPageSetupDialog prototype object.